class QiCibleSelectInput < Formtastic::Inputs::TextInput
  include FormtasticBootstrap::Inputs::Base
  
  def to_html
    r = rand(1000000000000000000000000000)  


    input_wrapping do  
      label_html +
      template.content_tag(:fieldset, template.text_field_tag("cible_name", (object.cible ? object.cible.cible_name : "aucuns élément séléctionné"), :id =>"name_#{r}" ) + 
      self.manager_select_cible_link(method, options, r) + builder.hidden_field(method.to_s+"_id", input_html_options.merge!(:id => "input_id_"+r.to_s)) + 
      builder.hidden_field(method.to_s+"_type", input_html_options.merge!(:id => "input_type_"+r.to_s)) )
    end
    
  end


  def manager_select_cible_link(method, options, r)

    template.content_tag(:a, "Modifier ce lien", :href => "#", :onclick => "select_cible_from_manager('"+r.to_s+"');return false;")

  end

end






